dpkg-checkbuilddeps(1)

NOME
dpkg-checkbuilddeps - verifica dependências e conflitos de compilação

SINOPSE
dpkg-checkbuilddeps [option...] [control-file]

DESCRIÇÃO
Este programa verifica os pacotes instalados no sistema pelas dependências de compilação e conflitos de compilação listados no ficheiro de controle. Se algo não estiver satisfeito, mostra-o e termina com um código de retorno não-zero.

Por predefinição, é lido debian/control, mas pode ser especificado um nome de ficheiro alternativo de controle na linha de comandos.

OPÇÕES

--admindir=dir
    Altera a localização da base de dados do dpkg (desde dpkg 1.14.0). A localização predefinida é /var/lib/dpkg.

-A  Ignora as linhas Build-Depends-Arch e Build-Conflicts-Arch (desde dpkg 1.16.4). Use apenas quando são compilados pacotes independentes da arquitectura, ou combine com -B quando apenas está para ser compilado um pacote fonte.

-B  Ignora as linhas Build-Depends-Indep e Build-Conflicts-Indep Use apenas quando são compilados pacotes dependentes da arquitectura, ou combine com -A quando apenas está para ser compilado um pacote fonte.

-I  Ignora dependências de compilação embutidas e conflitos (desde dpkg 1.18.2). Estas são dependências implícitas que são normalmente requeridas numa distribuição específica, o chamado conjunto de pacotes Build-Essential.

-d build-depends-string
-c build-conflicts-string
    Usa as dependências/conflitos de compilação fornecidos em vez daqueles contidos no ficheiro debian/control (desde dpkg 1.14.17).

-a arch
    Verifica dependências/conflitos de compilação assumindo que o pacote descrito no ficheiro de controle é para ser compilado para a arquitectura de máquina fornecida em vez da arquitectura do sistema actual (desde dpkg 1.16.2).

-P profile[,...]
    Verifica dependências/conflitos de compilação assumindo que o pacote descrito no ficheiro de controle +e para ser compilado para perfiles de compilação dados (desde dpkg 1.17.2). O argumento é uma lista de nomes de perfiles separados por vírgulas.

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

AMBIENTE

DEB_BUILD_PROFILES
    Se definido, será usado como perfil(es) de compilação activos para o pacote a ser compilado. É uma lista separada por espaços de nomes de perfis. Sobreposto pela opção -P.

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.19.0). Os valores aceites são 0 e 1 (predefinição).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.